QuickFIX: FIX::FileStoreFactory Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::FileStoreFactory Class Reference

Creates a file based implementation of MessageStore. More...

`#include <FileStore.h>`

Inheritance diagram for FIX::FileStoreFactory:
[legend]
Collaboration diagram for FIX::FileStoreFactory:
[legend]

List of all members.

## Public Member Functions
| FileStoreFactory (const SessionSettings &settings)
| FileStoreFactory (const std::string &path)
MessageStore * | create (const SessionID &)
void | destroy (MessageStore *)
## Private Attributes
std::string | m_path
SessionSettings | m_settings

## Detailed Description

Creates a file based implementation of MessageStore.

Definition at line 39 of file FileStore.h.

## Constructor & Destructor Documentation

FIX::FileStoreFactory::FileStoreFactory | ( | const SessionSettings & | settings | ) | `[inline]`

Definition at line 42 of file FileStore.h.

    00043 : m_settings( settings ) {};

FIX::FileStoreFactory::FileStoreFactory | ( | const std::string & | path | ) | `[inline]`

Definition at line 44 of file FileStore.h.

    00045 : m_path( path ) {};

## Member Function Documentation

MessageStore * FIX::FileStoreFactory::create | ( | const SessionID & | s | ) | `[virtual]`

Implements FIX::MessageStoreFactory.

Definition at line 179 of file FileStore.cpp.

References FIX::FILE_STORE_PATH, FIX::SessionSettings::get(), FIX::Dictionary::getString(), m_path, m_settings, QF_STACK_POP, and QF_STACK_PUSH.

    00180 { QF_STACK_PUSH(FileStoreFactory::create)
    00181
    00182   if ( m_path.size() ) return new FileStore( m_path, s );
    00183
    00184   std::string path;
    00185   Dictionary settings = m_settings.get( s );
    00186   path = settings.getString( FILE_STORE_PATH );
    00187   return new FileStore( path, s );
    00188
    00189   QF_STACK_POP
    00190 }

void FIX::FileStoreFactory::destroy | ( | MessageStore * | pStore | ) | `[virtual]`

Implements FIX::MessageStoreFactory.

Definition at line 192 of file FileStore.cpp.

References QF_STACK_POP, and QF_STACK_PUSH.

    00193 { QF_STACK_PUSH(FileStoreFactory::destroy)
    00194   delete pStore;
    00195   QF_STACK_POP
    00196 }

## Member Data Documentation

std::string FIX::FileStoreFactory::m_path`[private]`

Definition at line 50 of file FileStore.h.

Referenced by create().

SessionSettings FIX::FileStoreFactory::m_settings`[private]`

Definition at line 51 of file FileStore.h.

Referenced by create().

The documentation for this class was generated from the following files:

- /home/omiller/Development/autobuild/quickfix/src/C++/FileStore.h
- /home/omiller/Development/autobuild/quickfix/src/C++/FileStore.cpp